Debian Bug report logs - #436492
RFP: open64 -- The Open64 C, C++, and Fortran compilers

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: G\xFCrkan Seng\xFCn <gurkan@phys.ethz.ch>

Date: Tue, 7 Aug 2007 20:36:03 UTC

Severity: wishlist

Merged with 544430

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436492; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: submit@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: ITP: open64 -- The Open64 C, C++, and Fortran compilers
Date: Tue, 07 Aug 2007 22:34:19 +0200
Package: wnpp
Severity: wishlist

* Package name    : open64
   Version         : 4.0
   Upstream Authors: Open64 Team
* URL             : http://www.open64.net/
* License         : GNU GPL
   Description     : The Open64 C, C++, and Fortran compilers
 This compiler suite currently includes compilers for C, C++, and
 Fortran90/95 compilers for the IA-64 Linux ABI and API standards.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436492; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 436492@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Gürkan Sengün <gurkan@linuks.mine.nu>, 436492@bugs.debian.org
Subject: Re: Bug#436492: ITP: open64 -- The Open64 C, C++, and Fortran compilers
Date: Wed, 8 Aug 2007 08:41:09 +1000
[Message part 1 (text/plain, inline)]
On Tue, Aug 07, 2007 at 10:34:19PM +0200, Gürkan Sengün wrote:
>Package: wnpp
>Severity: wishlist
>
>* Package name    : open64
>   Version         : 4.0
>   Upstream Authors: Open64 Team
>* URL             : http://www.open64.net/
>* License         : GNU GPL
>   Description     : The Open64 C, C++, and Fortran compilers
> This compiler suite currently includes compilers for C, C++, and
> Fortran90/95 compilers for the IA-64 Linux ABI and API standards.

I'm currently downloading the software to start testing it at work on
ia64 and x86_64 machines. I didn't send the ITP yesterday, as I didn't
have my laptop with me.

BTW, I work for SGI, the creator of open64.

Could be organize a team to maintain open64?

Best Regards,

Aníbal Monsalve Salazar
-- 
http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436492; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 436492@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: 436492@bugs.debian.org
Subject: Re: Bug#436492: ITP: open64 -- The Open64 C, C++, and Fortran compilers
Date: Wed, 08 Aug 2007 00:46:55 +0200
Hello Anibal

> I'm currently downloading the software to start testing it at work on
> ia64 and x86_64 machines. I didn't send the ITP yesterday, as I didn't
> have my laptop with me.

That's fine.

> BTW, I work for SGI, the creator of open64.
> Could be organize a team to maintain open64?

Yes of course, can you create the Team on alioth?

I will have my work at http://gnu.ethz.ch/debian/open64/

the packages work but need more debian/ tweaking as well
as filename, install target and splitups work.

the todo says what other things i want to do on it.

> Best Regards,
> Aníbal Monsalve Salazar

Yours,
Guerkan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436492; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 436492@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Gürkan Sengün <gurkan@linuks.mine.nu>
Cc: 436492@bugs.debian.org
Subject: Re: Bug#436492: ITP: open64 -- The Open64 C, C++, and Fortran compilers
Date: Wed, 8 Aug 2007 09:04:40 +1000
[Message part 1 (text/plain, inline)]
On Wed, Aug 08, 2007 at 12:46:55AM +0200, Gürkan Sengün wrote:
>>Could be organize a team to maintain open64?

s/be/we/

>Yes of course, can you create the Team on alioth?

Thank you. :)

I'll get the alioth project rolling.

>I will have my work at http://gnu.ethz.ch/debian/open64/
>
>the packages work but need more debian/ tweaking as well
>as filename, install target and splitups work.
>
>the todo says what other things i want to do on it.

I'll check that out.

Best Regards,

Aníbal Monsalve Salazar
-- 
http://v7w.com/anibal
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Gürkan Sengün <gurkan@linuks.mine.nu>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sat, 11 Aug 2007 10:51:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 22 Aug 2007 00:06:01 GMT) Full text and rfc822 format available.

Tags removed: pending Request was from Gurkan Sengun <gurkan@linuks.mine.nu> to control@bugs.debian.org. (Wed, 07 Nov 2007 11:27:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#436492; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@linuks.mine.nu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #31 received at 436492@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@linuks.mine.nu>
To: 436492@bugs.debian.org
Subject: fixes needed after the rejection
Date: Wed, 21 Nov 2007 22:07:36 +0100
rejected, you missed to mention files with different licenses. Like
doc/KernelCompile. Or osprey/be/cg/orc_[ict|intel]/*. There are more,
its your job to list them all.

Also - the upstream tarball includes *a ton* of libraries. You want to
look at each if it is not already in Debian. If it is - use the 
packaged
version, not the one included in the source. We (including security
team) can't support it if a random lib is included in tons of packages,
so this is usually strongly discouraged.





Owner changed from Gürkan Sengün <gurkan@linuks.mine.nu> to gurkan@phys.ethz.ch. Request was from Gurkan Sengun <gurkan@phys.ethz.ch> to control@bugs.debian.org. (Mon, 21 Apr 2008 12:18:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Fri, 24 Oct 2008 13:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ogier <alessandro.ogier@vobelisk.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Fri, 24 Oct 2008 13:00:02 GMT) Full text and rfc822 format available.

Message #38 received at 436492@bugs.debian.org (full text, mbox):

From: Alessandro Ogier <alessandro.ogier@vobelisk.com>
To: 436492@bugs.debian.org
Subject: what's the ITP status ?
Date: Fri, 24 Oct 2008 14:57:00 +0200
Hi, i'm currently investigating open64 and i would like to know what's
the ITP status.

Eventually, i could spend some spare time on licenses stuff, as well on
shape/splitups contribs.


ciao,
-- 
Alessandro Ogier
gpg --keyserver pgp.mit.edu --recv-keys EEBB4D0D




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Fri, 24 Oct 2008 13:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Fri, 24 Oct 2008 13:24:05 GMT) Full text and rfc822 format available.

Message #43 received at 436492@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: Alessandro Ogier <alessandro.ogier@vobelisk.com>, 436492@bugs.debian.org
Subject: Re: Bug#436492: what's the ITP status ?
Date: Fri, 24 Oct 2008 15:23:14 +0200
Hello

> Hi, i'm currently investigating open64 and i would like to know what's
> the ITP status.
> 
> Eventually, i could spend some spare time on licenses stuff, as well on
> shape/splitups contribs.

I never got to build version 4.1 nor 4.2 of open64 :(
If you get it to build, that'd be cool.

Yours,
Guerkan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Fri, 24 Oct 2008 13:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessandro Ogier <alessandro.ogier@vobelisk.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Fri, 24 Oct 2008 13:48:05 GMT) Full text and rfc822 format available.

Message #48 received at 436492@bugs.debian.org (full text, mbox):

From: Alessandro Ogier <alessandro.ogier@vobelisk.com>
To: Gürkan Sengün <gurkan@phys.ethz.ch>
Cc: 436492@bugs.debian.org
Subject: Re: Bug#436492: what's the ITP status ?
Date: Fri, 24 Oct 2008 15:41:18 +0200
Il giorno ven, 24/10/2008 alle 15.23 +0200, Gürkan Sengün ha scritto:
> Hello
> 
> > Hi, i'm currently investigating open64 and i would like to know what's
> > the ITP status.
> > 
> > Eventually, i could spend some spare time on licenses stuff, as well on
> > shape/splitups contribs.
> 
> I never got to build version 4.1 nor 4.2 of open64 :(
> If you get it to build, that'd be cool.

sure, i just finished compiling a (apparently) working 4.2 against gcc
4.3 ... maybe can be worthly to work towards a 3 compilations bootstrap
like gcc (sys gcc compiles a gcc, compiled sys.gcc compiles a gcc,
compiled gcc.gcc compiles a gcc) just for perversion's sake :)

what is the current package shape ?


ciao,
-- 
Alessandro Ogier
gpg --keyserver pgp.mit.edu --recv-keys EEBB4D0D




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Fri, 24 Oct 2008 23:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Fri, 24 Oct 2008 23:42:02 GMT) Full text and rfc822 format available.

Message #53 received at 436492@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Alessandro Ogier <alessandro.ogier@vobelisk.com>, 436492@bugs.debian.org
Cc: Gürkan Sengün <gurkan@phys.ethz.ch>
Subject: Re: Bug#436492: what's the open64 ITP status ?
Date: Sat, 25 Oct 2008 10:37:07 +1100
[Message part 1 (text/plain, inline)]
On Fri, Oct 24, 2008 at 03:41:18PM +0200, Alessandro Ogier wrote:
>Il giorno ven, 24/10/2008 alle 15.23 +0200, Gürkan Sengün ha scritto:
>>Hello
>>
>>>Hi, i'm currently investigating open64 and i would like to know
>>>what's the ITP status.

http://alioth.debian.org/projects/open64/

There is an open64 alioth projetc that we could use, see link above.

I'll help with the uploads.

>>>Eventually, i could spend some spare time on licenses stuff, as well
>>>on shape/splitups contribs.
>>
>>I never got to build version 4.1 nor 4.2 of open64 :(
>>If you get it to build, that'd be cool.
>
>sure, i just finished compiling a (apparently) working 4.2 against gcc
>4.3 ... maybe can be worthly to work towards a 3 compilations bootstrap
>like gcc (sys gcc compiles a gcc, compiled sys.gcc compiles a gcc,
>compiled gcc.gcc compiles a gcc) just for perversion's sake :)
>
>what is the current package shape ?

The diffstat of the attached file, open64_4.0-1.diff.gz is:

diffstat open64_4.0-1.diff.gz
 changelog |    5 ++++
 compat    |    1
 control   |   16 +++++++++++++
 copyright |   66 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 dirs      |    2 +
 docs      |    2 +
 info      |   17 ++++++++++++++
 manpages  |    3 ++
 opencc.1  |   35 ++++++++++++++++++++++++++++
 openf90.1 |   35 ++++++++++++++++++++++++++++
 openf95.1 |   35 ++++++++++++++++++++++++++++
 rules     |   75 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

The debian copyright file needs more work, that's why open64 4.0-1 was
rejected.

>ciao,
>-- 
>Alessandro Ogier
>gpg --keyserver pgp.mit.edu --recv-keys EEBB4D0D
[open64_4.0-1.diff.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Sat, 25 Jul 2009 13:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Sat, 25 Jul 2009 13:45:10 GMT) Full text and rfc822 format available.

Message #58 received at 436492@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: 436492@bugs.debian.org
Cc: Aníbal Monsalve Salazar <anibal@debian.org>, Gürkan Sengün <gurkan@phys.ethz.ch>
Subject: Open64 packaging: any progress?
Date: Sat, 25 Jul 2009 15:35:18 +0200
[Message part 1 (text/plain, inline)]
Hi!

I've just found out this interesting DFSG-free compiler.
Thanks for attempting to package it for inclusion in Debian!

I fail to see any recent news in this ITP bug.
How's the packaging going on?
Please let me know.

Have a nice day.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Sat, 25 Jul 2009 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Sat, 25 Jul 2009 18:42:04 GMT) Full text and rfc822 format available.

Message #63 received at 436492@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Francesco Poli <frx@firenze.linux.it>
Cc: 436492@bugs.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>
Subject: Re: Open64 packaging: any progress?
Date: Sun, 26 Jul 2009 04:37:59 +1000
On Sat, Jul 25, 2009 at 03:35:18PM +0200, Francesco Poli wrote:
>Hi!
>
>I've just found out this interesting DFSG-free compiler.
>Thanks for attempting to package it for inclusion in Debian!
>
>I fail to see any recent news in this ITP bug.
>How's the packaging going on?

It was uploaded but was rejected. I'll try to fix the problem with the
way debian/copyright was done. And then uploaded it again.

>Please let me know.
>
>Have a nice day.
>
>-- 
> New location for my website! Update your bookmarks!
> http://www.inventati.org/frx
>..................................................... Francesco Poli .




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Sat, 25 Jul 2009 20:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Sat, 25 Jul 2009 20:48:03 GMT) Full text and rfc822 format available.

Message #68 received at 436492@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Aníbal Monsalve Salazar <anibal@debian.org>
Cc: 436492@bugs.debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>
Subject: Re: Open64 packaging: any progress?
Date: Sat, 25 Jul 2009 22:44:21 +0200
[Message part 1 (text/plain, inline)]
On Sun, 26 Jul 2009 04:37:59 +1000 Aníbal Monsalve Salazar wrote:

> On Sat, Jul 25, 2009 at 03:35:18PM +0200, Francesco Poli wrote:
[...]
> >How's the packaging going on?
> 
> It was uploaded but was rejected. I'll try to fix the problem with the
> way debian/copyright was done. And then uploaded it again.

Thanks for your quick answer.   :-)
I hope you manage to get the package accepted soon!

Bye.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Mon, 27 Jul 2009 06:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Mon, 27 Jul 2009 06:39:02 GMT) Full text and rfc822 format available.

Message #73 received at 436492@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: Francesco Poli <frx@firenze.linux.it>, 436492@bugs.debian.org
Cc: Aníbal Monsalve Salazar <anibal@debian.org>
Subject: Re: Bug#436492: Open64 packaging: any progress?
Date: Mon, 27 Jul 2009 08:34:35 +0200
Francesco Poli wrote:
> On Sun, 26 Jul 2009 04:37:59 +1000 Aníbal Monsalve Salazar wrote:
> 
>> On Sat, Jul 25, 2009 at 03:35:18PM +0200, Francesco Poli wrote:
> [...]
>>> How's the packaging going on?
>> It was uploaded but was rejected. I'll try to fix the problem with the
>> way debian/copyright was done. And then uploaded it again.
> 
> Thanks for your quick answer.   :-)
> I hope you manage to get the package accepted soon!

but that was verison 4.0 of open64, i never managed to build the later versions,
here's the work so far:

http://sid.ethz.ch/debian/open64/

and

http://gnu.ethz.ch/debian/open64/

yours,
guerkan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gurkan@phys.ethz.ch:
Bug#436492; Package wnpp. (Mon, 27 Jul 2009 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gurkan@phys.ethz.ch. (Mon, 27 Jul 2009 17:33:03 GMT) Full text and rfc822 format available.

Message #78 received at 436492@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Gürkan Sengün <gurkan@phys.ethz.ch>
Cc: 436492@bugs.debian.org, Aníbal Monsalve Salazar <anibal@debian.org>
Subject: Re: Bug#436492: Open64 packaging: any progress?
Date: Mon, 27 Jul 2009 19:26:39 +0200
[Message part 1 (text/plain, inline)]
On Mon, 27 Jul 2009 08:34:35 +0200 Gürkan Sengün wrote:

> Francesco Poli wrote:
> > On Sun, 26 Jul 2009 04:37:59 +1000 Aníbal Monsalve Salazar wrote:
> > 
> >> On Sat, Jul 25, 2009 at 03:35:18PM +0200, Francesco Poli wrote:
> > [...]
> >>> How's the packaging going on?
> >> It was uploaded but was rejected. I'll try to fix the problem with the
> >> way debian/copyright was done. And then uploaded it again.
> > 
> > Thanks for your quick answer.   :-)
> > I hope you manage to get the package accepted soon!
> 
> but that was verison 4.0 of open64, i never managed to build the later versions,

Well, then I hope you manage to build the latest version and get it
accepted soon!  ;-)

Bye.

-- 
 New location for my website! Update your bookmarks!
 http://www.inventati.org/frx
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Owner changed from gurkan@phys.ethz.ch to Anibal Monsalve Salazar <anibal@debian.org>. Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 01 Sep 2009 00:48:13 GMT) Full text and rfc822 format available.

Merged 436492 544430. Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 01 Sep 2009 00:48:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#436492; Package wnpp. (Tue, 01 Sep 2009 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>. (Tue, 01 Sep 2009 06:03:03 GMT) Full text and rfc822 format available.

Message #87 received at 436492@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Christopher Bergström <cbergstrom@pathscale.com>
Cc: steffen_moeller@gmx.de, anibal@debian.org, 436492@bugs.debian.org
Subject: Re: open64 -- alternative compiler for amd64 and intel64
Date: Tue, 1 Sep 2009 16:02:15 +1000
On Mon, Aug 31, 2009 at 09:51:44PM -0700, Christopher Bergström wrote:
>Hi..
>
>You may have heard about Open64 because of recent discussion about  
>PathScale.

Not really. A first attempt to upload open64 was made in 2007. See the
discussion at http://bugs.debian.org/436492

Where is the PathScale discussion?

>I'll be in charge of open sourcing new parts of PathScale.   The
>highest quality open source version going forward will actually come
>from http://www.path64.com . This is going to be our unbranded version
>with community support.

What's the relation between http://open64.net/ and http://path64.com/ ?

>It avoids the whole trademark issues and low quality issues in Open64.

What are the trademark issues?

Is PathScale based on Open64?

>I'll eventually help maintain and fix build  problem issues for Debian
>and other distros, but if you could update the  bug report to point to
>http://www.path64.com it would be most  appreciated.  Getting the word
>out about this early will help us all in  packaging later.
>
>Cheers,
>
>./Christopher




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#436492; Package wnpp. (Wed, 08 Sep 2010 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 08 Sep 2010 13:54:03 GMT) Full text and rfc822 format available.

Message #92 received at 436492@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 436492@bugs.debian.org
Subject: ITP: open64 -- The Open64 C, C++, and Fortran compilers
Date: Wed, 08 Sep 2010 15:51:46 +0200
Is anyone still working on this? What's the current state?

Yours,
Gurkan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#436492; Package wnpp. (Wed, 27 Jul 2011 16:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Anibal Monsalve Salazar <anibal@debian.org>. (Wed, 27 Jul 2011 16:27:09 GMT) Full text and rfc822 format available.

Message #97 received at 436492@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 436492@bugs.debian.org
Cc: control@bugs.debian.org
Subject: open64: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 436492 RFP: open64 --  The Open64 C, C++, and Fortran compilers
noowner 436492
thanks

Hi,

This is an automatic email to change the status of open64 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting open64, please send a mail to
<control@bugs.debian.org> with:

 retitle 436492 ITP: open64 --  The Open64 C, C++, and Fortran compilers
 owner 436492 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <436492@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: open64 -- The Open64 C, C++, and Fortran compilers' from 'ITP: open64 -- The Open64 C, C++, and Fortran compilers' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:55 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Anibal Monsalve Salazar <anibal@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:47:56 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#436492; Package wnpp. (Fri, 25 Nov 2011 10:51:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 25 Nov 2011 10:51:42 GMT) Full text and rfc822 format available.

Message #106 received at 436492@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 436492@bugs.debian.org
Subject: RFP: open64 -- The Open64 C, C++, and Fortran compilers
Date: Fri, 25 Nov 2011 11:48:58 +0100
version 5 is out:

http://www.open64.net/download/open64-4x-releases.html

./configure works, however make fails for me:
make[2]: Entering directory `/var/www/debian/open64/open64-5.0/osprey/targdir/ipl'
make first
make[3]: Entering directory `/var/www/debian/open64/open64-5.0/osprey/targdir/ipl'
ln -sf /var/www/debian/open64/open64-5.0/osprey/.././osprey/targdir/be/be.so .
make[3]: Leaving directory `/var/www/debian/open64/open64-5.0/osprey/targdir/ipl'
make make_deps
make[3]: Entering directory `/var/www/debian/open64/open64-5.0/osprey/targdir/ipl'
C++ 
/var/www/debian/open64/open64-5.0/osprey/targdir/ipl//var/www/debian/open64/open64-5.0/osprey/../osprey/ipa/local/ipl_summarize_util.cxx
g++: error: unrecognized option '-CG:all_sched=0'
make[3]: *** [ipl_summarize_util.o] Error 1
make[3]: Leaving directory `/var/www/debian/open64/open64-5.0/osprey/targdir/ipl'
make[2]: *** [default] Error 2
make[2]: Leaving directory `/var/www/debian/open64/open64-5.0/osprey/targdir/ipl'
make[1]: *** [ipl.so] Error 2
make[1]: Leaving directory `/var/www/debian/open64/open64-5.0'
make: *** [build] Error 2

started the packaging at
http://sid.ethz.ch/debian/open64/




Changed Bug submitter to 'Gürkan Sengün <gurkan@phys.ethz.ch>' from 'Gürkan Sengün <gurkan@linuks.mine.nu>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 13:27:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: open64 -- The Open64 C, C++, and Fortran compilers' from 'RFP: open64 -- The Open64 C, C++, and Fortran compilers' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 13:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#436492; Package wnpp. (Mon, 10 Sep 2012 13:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Sep 2012 13:42:03 GMT) Full text and rfc822 format available.

Message #115 received at 436492@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 436492@bugs.debian.org
Date: Mon, 10 Sep 2012 15:39:52 +0200
Some refs to building Open64:

http://www.open64.net/?id=254
and
http://wiki.open64.net/index.php/Installation_on_Ubuntu



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#436492; Package wnpp. (Mon, 10 Sep 2012 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 10 Sep 2012 13:48:03 GMT) Full text and rfc822 format available.

Message #120 received at 436492@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 436492@bugs.debian.org
Subject: Re:
Date: Mon, 10 Sep 2012 15:45:17 +0200
Even if advertised as:

...
`configure' configures opencc 4.2 to adapt to many kinds of systems.

Usage: ../configure [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.
...

configure will *always* prefer using gcc-4.7 over to gcc-4.4.

Eg:

$  tar xvf open64-5.0-0.src.tar.bz2
$  cd open64-5.0
$  mkdir objs
$  cd objs
$ ../configure CXX=g++-4.4 CC=gcc-4.4
$ make
[...]
/usr/include/c++/4.7/backward/backward_warning.h:33:2: warning:
#warning This file includes at least one deprecated or antiquated
header which may be removed without further notice at a future date.
Please use a non-deprecated interface with equivalent functionality
instead. For a listing of replacement headers and interfaces, consult
the file backward_warning.h. To disable this warning use
-Wno-deprecated. [-Wcpp]
In file included from
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/be/com/fb_whirl.cxx:86:0:
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:
In instantiation of 'void WN_TREE_ITER<(TRAV_ORDER)0u,
WHIRL>::Unwind() [with WHIRL = WN*]':
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:489:7:
  required from 'void WN_TREE_ITER<(TRAV_ORDER)0u,
WHIRL>::WN_TREE_next() [with WHIRL = WN*]'
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:429:33:
  required from 'WN_TREE_ITER<(TRAV_ORDER)0u, WHIRL>::self&
WN_TREE_ITER<(TRAV_ORDER)0u, WHIRL>::operator++() [with WHIRL = WN*;
WN_TREE_ITER<(TRAV_ORDER)0u, WHIRL>::self =
WN_TREE_ITER<(TRAV_ORDER)0u, WN*>]'
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/be/com/fb_whirl.cxx:522:52:
  required from here
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:458:9:
error: 'Set_wn' was not declared in this scope, and no declarations
were found by argument-dependent lookup at the point of instantiation
[-fpermissive]
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:458:9:
note: declarations in dependent base 'WN_TREE_ITER_base<WN*>' are not
found by unqualified lookup
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:458:9:
note: use 'this->Set_wn' instead
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:467:9:
error: 'Set_wn' was not declared in this scope, and no declarations
were found by argument-dependent lookup at the point of instantiation
[-fpermissive]
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:467:9:
note: declarations in dependent base 'WN_TREE_ITER_base<WN*>' are not
found by unqualified lookup
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:467:9:
note: use 'this->Set_wn' instead
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:
In instantiation of 'void WN_TREE_ITER<(TRAV_ORDER)0u,
WHIRL>::Unwind() [with WHIRL = const WN*]':
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:489:7:
  required from 'void WN_TREE_ITER<(TRAV_ORDER)0u,
WHIRL>::WN_TREE_next() [with WHIRL = const WN*]'
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:429:33:
  required from 'WN_TREE_ITER<(TRAV_ORDER)0u, WHIRL>::self&
WN_TREE_ITER<(TRAV_ORDER)0u, WHIRL>::operator++() [with WHIRL = const
WN*; WN_TREE_ITER<(TRAV_ORDER)0u, WHIRL>::self =
WN_TREE_ITER<(TRAV_ORDER)0u, const WN*>]'
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/be/com/fb_whirl.cxx:3576:60:
  required from here
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:458:9:
error: 'Set_wn' was not declared in this scope, and no declarations
were found by argument-dependent lookup at the point of instantiation
[-fpermissive]
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:458:9:
note: declarations in dependent base 'WN_TREE_ITER_base<const WN*>'
are not found by unqualified lookup
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:458:9:
note: use 'this->Set_wn' instead
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:467:9:
error: 'Set_wn' was not declared in this scope, and no declarations
were found by argument-dependent lookup at the point of instantiation
[-fpermissive]
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:467:9:
note: declarations in dependent base 'WN_TREE_ITER_base<const WN*>'
are not found by unqualified lookup
/tmp/o/bla/open64-5.0/objs/osprey/../../osprey/common/com/wn_tree_util.h:467:9:
note: use 'this->Set_wn' instead
make[3]: *** [fb_whirl.o] Error 1
make[3]: Leaving directory `/tmp/o/bla/open64-5.0/objs/osprey/targdir/be'
make[2]: *** [default] Error 2
make[2]: Leaving directory `/tmp/o/bla/open64-5.0/objs/osprey/targdir/be'
make[1]: *** [be.so] Error 2
make[1]: Leaving directory `/tmp/o/bla/open64-5.0/objs'
make: *** [build] Error 2



Owner recorded as Gürkan Sengün <gurkan@phys.ethz.ch>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 10 Sep 2012 17:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>:
Bug#436492; Package wnpp. (Wed, 21 Aug 2013 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Gürkan Sengün <gurkan@phys.ethz.ch>. (Wed, 21 Aug 2013 13:48:04 GMT) Full text and rfc822 format available.

Message #127 received at 436492@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 436492@bugs.debian.org
Cc: control@bugs.debian.org
Subject: open64: changing back from ITP to RFP
Date: Wed, 21 Aug 2013 15:44:10 +0200
retitle 436492 RFP: open64 --  The Open64 C, C++, and Fortran compilers
noowner 436492
tag 436492 - pending
thanks

Hi,

A long time ago, you expressed interest in packaging open64. Unfortunately,
it seems that it did not happen. In Debian, we try not to keep ITP bugs open
for a too long time, as it might cause other prospective maintainers to
refrain from packaging the software.

This is an automatic email to change the status of open64 back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 10 months.

If you are still interested in packaging open64, please send a mail to
<control@bugs.debian.org> with:

 retitle 436492 ITP: open64 --  The Open64 C, C++, and Fortran compilers
 owner 436492 !
 thanks

It is also a good idea to document your progress on this ITP from time to
time, by mailing <436492@bugs.debian.org>.  If you need guidance on how to
package this software, please reply to this email, and/or contact the
debian-mentors@lists.debian.org mailing list.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: open64 -- The Open64 C, C++, and Fortran compilers' from 'ITP: open64 -- The Open64 C, C++, and Fortran compilers' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:54:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Gürkan Sengün <gurkan@phys.ethz.ch>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 21 Aug 2013 13:54:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:30:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.